[SRU] python-swiftclient is missing in requirements.txt (for glare)

Bug #1604397 reported by Dmitry Burmistrov on 2016-07-19
16
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Glance
Undecided
monika
Ubuntu Cloud Archive
High
Corey Bryant
Newton
High
Corey Bryant
python-glance-store (Ubuntu)
High
Corey Bryant
Yakkety
High
Corey Bryant
Zesty
High
Corey Bryant

Bug Description

[Description]
[Test Case]
I'm using UCA glance packages (version "13.0.0~b1-0ubuntu1~cloud0").
And I've got this error:
<30>Jul 18 16:03:45 node-2 glance-glare[17738]: ERROR: Store swift could not be configured correctly. Reason: Missing dependency python_swiftclient.

Installing "python-swiftclient" fix the problem.

In master (https://github.com/openstack/glance/blob/master/requirements.txt) package "python-swiftclient" is not included in requirements.txt. So UCA packages don't have proper dependencies.

I think requirements.txt should be updated (add python-swiftclient there). This change should affect UCA packages.

[Regression Potential]
Minimal as this just adds a new dependency.

Changed in glance:
assignee: nobody → venkatamahesh (venkatamaheshkotha)
Chuck Short (zulcss) on 2016-10-05
affects: glance (Ubuntu) → python-glance-store (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in python-glance-store (Ubuntu):
status: New → Confirmed
Changed in glance:
assignee: venkatamahesh (venkatamaheshkotha) → nobody
monika (monikaparkar25) on 2016-10-07
Changed in python-glance-store (Ubuntu):
assignee: nobody → monika (monikaparkar25)
Changed in glance:
assignee: nobody → monika (monikaparkar25)
Corey Bryant (corey.bryant) wrote :

python-swiftclient is listed under [extras] in setup.cfg as a dependency for optional stores.

Changed in python-glance-store (Ubuntu Yakkety):
status: New → Triaged
Changed in python-glance-store (Ubuntu Zesty):
status: Confirmed → Triaged
importance: Undecided → High
Changed in python-glance-store (Ubuntu Yakkety):
importance: Undecided → High
Changed in python-glance-store (Ubuntu Zesty):
assignee: monika (monikaparkar25) → Corey Bryant (corey.bryant)
Changed in python-glance-store (Ubuntu Yakkety):
assignee: nobody → Corey Bryant (corey.bryant)
Changed in python-glance-store (Ubuntu Yakkety):
status: Triaged → In Progress
Changed in python-glance-store (Ubuntu Zesty):
status: Triaged → In Progress
summary: - python-swiftclient is missing in requirements.txt (for glare)
+ [SRU] python-swiftclient is missing in requirements.txt (for glare)
description: updated

Hello Dmitry, or anyone else affected,

Accepted python-glance-store into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/python-glance-store/0.18.0-0ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in python-glance-store (Ubuntu Yakkety):
status: In Progress → Fix Committed
tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-glance-store - 0.18.0-0ubuntu3

---------------
python-glance-store (0.18.0-0ubuntu3) zesty; urgency=medium

  * d/gbp.conf: Update default config.

 -- Corey Bryant <email address hidden> Fri, 04 Nov 2016 08:09:18 -0400

Changed in python-glance-store (Ubuntu Zesty):
status: In Progress → Fix Released
James Page (james-page) wrote :

Hello Dmitry, or anyone else affected,

Accepted python-glance-store into newton-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:newton-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-newton-needed to verification-newton-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-newton-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-newton-needed
Corey Bryant (corey.bryant) wrote :

Verified successfully on yakkety-proposed and newton-proposed.

tags: added: verification-done verification-newton-done
removed: verification-needed verification-newton-needed

The verification of the Stable Release Update for python-glance-store has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-glance-store - 0.18.0-0ubuntu1.1

---------------
python-glance-store (0.18.0-0ubuntu1.1) yakkety; urgency=medium

  [ Corey Bryant ]
  * d/control: Add run-time dependency for python-swiftclient (LP: #1604397).
  * d/p/drop-enum34.patch: Fix python3 test failures.

  [ Thomas Goirand ]
  * Fixed enum34 runtime depends.

 -- Corey Bryant <email address hidden> Thu, 03 Nov 2016 15:18:12 -0400

Changed in python-glance-store (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Ryan Beisner (1chb1n) wrote :

This bug was fixed in the package python-glance-store - 0.18.0-0ubuntu1.1~cloud0
---------------

 python-glance-store (0.18.0-0ubuntu1.1~cloud0) xenial-newton; urgency=medium
 .
   * New update for the Ubuntu Cloud Archive.
 .
 python-glance-store (0.18.0-0ubuntu1.1) yakkety; urgency=medium
 .
   [ Corey Bryant ]
   * d/control: Add run-time dependency for python-swiftclient (LP: #1604397).
   * d/p/drop-enum34.patch: Fix python3 test failures.
 .
   [ Thomas Goirand ]
   * Fixed enum34 runtime depends.

Changed in cloud-archive:
status: Fix Committed → Fix Released
James Page (james-page) on 2016-11-28
Changed in cloud-archive:
status: Fix Released → Fix Committed
James Page (james-page) wrote :

This bug was fixed in the package python-glance-store - 0.18.0-0ubuntu3~cloud0
---------------

 python-glance-store (0.18.0-0ubuntu3~cloud0) xenial-ocata; urgency=medium
 .
   * New update for the Ubuntu Cloud Archive.
 .
 python-glance-store (0.18.0-0ubuntu3) zesty; urgency=medium
 .
   * d/gbp.conf: Update default config.
 .
 python-glance-store (0.18.0-0ubuntu2) zesty; urgency=medium
 .
   [ Corey Bryant ]
   * d/control: Add run-time dependency for python-swiftclient (LP: #1604397).
   * d/p/drop-enum34.patch: Fix python3 test failures.
 .
   [ Thomas Goirand ]
   * Fixed enum34 runtime depends.

Changed in cloud-archive:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers